gzcompress
gzdeflate
Zlib Functions
PHP Manual

# gzdecode

Decodes a gzip compressed string

### Description

string gzdecode ( string `$data` [, int `$length` ] )

This function returns a decoded version of the input `data`.

### Parameters

`data`

  The data to decode, encoded by gzencode.

`length`

  The maximum length of data to decode.

### Return Values

The decoded string, or `FALSE` if an error occurred.

### See Also

- gzencode